<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node26.html" />
<link rel="prev" href="node24.html" />
<link rel="parent" href="node16.html" />
<link rel="next" href="node26.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>6.2.9 Receiver Verification</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.2.8 Problems"
  href="node24.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.2 using the Exim"
  href="node16.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.2.10 smtp Callback"
  href="node26.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node24.html">6.2.8 Problems</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node16.html">6.2 Using the Exim</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node26.html">6.2.10 SMTP Callback</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION001629000000000000000">
6.2.9 Receiver Verification</a>
</h3>

<p>
Exim's receiver verification feature is very useful - it lets Exim reject
unrouteable addresses at SMTP time.  However, this is most useful for
externally-originating mail that is addressed to mail in one of your local
domains.  For Mailman list traffic, mail originates on your server, and is
addressed to random external domains that are not under your control.
Furthermore, each message is addressed to many recipients
- up to 500 if you use Mailman's default configuration and don't tweak
<var>SMTP_MAX_RCPTS</var>.

<p>
Doing receiver verification on Mailman list traffic is a recipe for trouble.
In particular, Exim will attempt to route every recipient addresses in
outgoing Mailman list posts.  Even though this requires nothing more than a
few DNS lookups for each address, it can still introduce significant delays.
Therefore, you should disable recipient verification for Mailman traffic.

<p>
Under Exim 3, put this in your main configuration section:

<p>
<div class="verbatim"><pre>
    receiver_verify_hosts = !127.0.0.1
</pre></div>

<p>
Under Exim 4, this is probably already taken care of for you by the default
recipient verification ACL statement (in the <code>RCPT TO</code> ACL):

<p>
<div class="verbatim"><pre>
  accept  domains       = +local_domains
          endpass
          message       = unknown user
          verify        = recipient
</pre></div>

<p>
which only does recipient verification on addresses in your domain.  (That's
not exactly the same as doing recipient verification only on messages coming
from non-127.0.0.1 hosts, but it should do the trick for Mailman.)

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.2.8 Problems"
  href="node24.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.2 using the Exim"
  href="node16.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.2.10 smtp Callback"
  href="node26.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node24.html">6.2.8 Problems</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node16.html">6.2 Using the Exim</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node26.html">6.2.10 SMTP Callback</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
